require 'source/utils/text'

-- WORLD 4: PURPLE

levels[31] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1200} },
	{ name = "wall", arguments = {1600, 1000, 1000, 1200} },
	{ name = "wall", arguments = {0, 2200, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 150, 200} },
	{ name = "wall", arguments = {1450, 1000, 150, 200} },
	{ name = "wall", arguments = {1000, 1200, 200, 100} },
	{ name = "wall", arguments = {1400, 1200, 200, 100} },
	{ name = "wall", arguments = {1000, 1900, 200, 100} },
	{ name = "wall", arguments = {1400, 1900, 200, 100} },
	{ name = "wall", arguments = {1000, 2000, 150, 200} },
	{ name = "wall", arguments = {1450, 2000, 150, 200} },
	{ name = "spark", arguments = {1300, 1950} },
	{ name = "spark", arguments = {1300, 1778} },
	{ name = "spark", arguments = {1300, 1423} },
	{ name = "spark", arguments = {1300, 1250} },
	{ name = "movecircledependent", arguments = { {
		{1000, 1900},
		{1000, 1300}
	}, 150, 10, "stop"} },
	{ name = "movecircledependent", arguments = { {
		{1600, 1300},
		{1600, 1900}
	}, 150, 10, "stop"} },
	{ name = "text", arguments = {text[31][1][1], 1300, 1680, text[31][1][2]} },
	{ name = "text", arguments = {text[31][2][1], 1300, 1600, text[31][2][2]} },
	{ name = "text", arguments = {text[31][3][1], 1300, 1520, text[31][3][2]} },
	{ name = "finish", arguments = {1300, 1100} },
	{ name = "player", arguments = {1300, 2100} }
}

levels[32] = {
	{ name = "wall", arguments = {0, 0, 3000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {2000, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 3000, 1000} },
	{ name = "wall", arguments = {1200, 1200, 250, 200} },
	{ name = "wall", arguments = {1550, 1200, 250, 200} },
	{ name = "wall", arguments = {1200, 1400, 600, 400} },
	{ name = "wall", arguments = {1000, 2000, 400, 200} },
	{ name = "wall", arguments = {1600, 2000, 400, 200} },
	{ name = "wall", arguments = {1200, 2400, 600, 400} },
	{ name = "wall", arguments = {1200, 2800, 200, 200} },
	{ name = "wall", arguments = {1600, 2800, 200, 200} },
	{ name = "spark", arguments = {1100, 1400} },
	{ name = "spark", arguments = {1100, 1460} },
	{ name = "spark", arguments = {1100, 1520} },
	{ name = "spark", arguments = {1900, 1400} },
	{ name = "spark", arguments = {1900, 1460} },
	{ name = "spark", arguments = {1900, 1520} },
	{ name = "spark", arguments = {1100, 2665} },
	{ name = "spark", arguments = {1100, 2725} },
	{ name = "spark", arguments = {1100, 2785} },
	{ name = "spark", arguments = {1900, 2665} },
	{ name = "spark", arguments = {1900, 2725} },
	{ name = "spark", arguments = {1900, 2785} },
	{ name = "movecircledependent", arguments = { {
		{1900, 1100},
		{1100, 1100},
		{1100, 1900},
		{1900, 1900}
	}, 75, 10, "pause"} },
	{ name = "movecircledependent", arguments = { {
		{1100, 1900},
		{1900, 1900},
		{1900, 1100},
		{1100, 1100},
	}, 75, 10, "pause"} },
	{ name = "movecircledependent", arguments = { {
		{1100, 2300},
		{1900, 2300},
		{1900, 3100},
		{1100, 3100}
	}, 75, 10, "pause"} },
	{ name = "movecircledependent", arguments = { {
		{1900, 3100},
		{1100, 3100},
		{1100, 2300},
		{1900, 2300}
	}, 75, 10, "pause"} },

	{ name = "text", arguments = {text[32][1][1], 1500, 2100, text[32][1][2]} },
	{ name = "finish", arguments = {1500, 2900} },
	{ name = "player", arguments = {1500, 1320} }
}

levels[33] = {
	{ name = "wall", arguments = {0, 0, 3200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2400} },
	{ name = "wall", arguments = {2200, 1000, 1000, 2400} },
	{ name = "wall", arguments = {0, 3400, 3200, 1000} },
	{ name = "wall", arguments = {1300, 1300, 600, 800} },
	{ name = "wall", arguments = {1300, 2100, 100, 700} },
	{ name = "wall", arguments = {1600, 2400, 600, 300} },
	{ name = "wall", arguments = {1500, 2700, 700, 100} },
	{ name = "wall", arguments = {1600, 2800, 600, 200} },
	{ name = "wall", arguments = {1000, 3000, 400, 100} },
	{ name = "wall", arguments = {1500, 3000, 700, 100} },
	{ name = "wall", arguments = {1000, 3100, 300, 300} },
	{ name = "wall", arguments = {1600, 3100, 600, 300} },
	{ name = "disswall", arguments = {1000, 1800, 300, 1200} },
	{ name = "spark", arguments = {1450, 2750} },
	{ name = "spark", arguments = {1450, 2550} },
	{ name = "spark", arguments = {1450, 2285} },
	{ name = "spark", arguments = {1625, 2145} },
	{ name = "spark", arguments = {1985, 2285} },
	{ name = "spark", arguments = {2050, 2220} },
	{ name = "spark", arguments = {1998, 1960} },
	{ name = "spark", arguments = {2110, 1760} },
	{ name = "spark", arguments = {2080, 1730} },
	{ name = "spark", arguments = {2140, 1730} },
	{ name = "spark", arguments = {2050, 1700} },
	{ name = "spark", arguments = {2110, 1700} },
	{ name = "spark", arguments = {2170, 1700} },
	{ name = "spark", arguments = {2080, 1670} },
	{ name = "spark", arguments = {2140, 1670} },
	{ name = "spark", arguments = {2110, 1640} },
	{ name = "spark", arguments = {1998, 1440} },
	{ name = "spark", arguments = {2050, 1245} },
	{ name = "spark", arguments = {1985, 1180} },
	{ name = "spark", arguments = {1600, 1180} },
	{ name = "spark", arguments = {1600, 1120} },
	{ name = "spark", arguments = {1600, 1060} },
	{ name = "spark", arguments = {1245, 1180} },
	{ name = "spark", arguments = {1180, 1245} },
	{ name = "spark", arguments = {1213, 1690} },
	{ name = "spark", arguments = {1085, 2430} },
	{ name = "spark", arguments = {1215, 2430} },
	{ name = "spark", arguments = {1115, 2465} },
	{ name = "spark", arguments = {1185, 2465} },
	{ name = "spark", arguments = {1150, 2495} },
	{ name = "movecircledependent", arguments = { {
		{1600, 2700},
		{1600, 2400},
		{2200, 2400},
	}, 100, 12, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1300, 1300},
		{1900, 1300},
		{1900, 2100},
		{1400, 2100},
	}, 125, 14, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2200, 1000},
		{1000, 1000},
		{1000, 1800},
	}, 150, 16, "stop", "pong"} },
	{ name = "text", arguments = {text[33][1][1], 1510, 2285, text[33][1][2]} },
	{ name = "text", arguments = {text[33][2][1], 2050, 2285, text[33][2][2]} },
	{ name = "text", arguments = {text[33][3][1], 2050, 1180, text[33][3][2]} },
	{ name = "text", arguments = {text[33][4][1], 1180, 1180, text[33][4][2]} },
	{ name = "text", arguments = {text[33][5][1], 1150, 2410, text[33][5][2]} },
	{ name = "finish", arguments = {1450, 3250} },
	{ name = "player", arguments = {1450, 2900} }
}

levels[34] = {
	{ name = "wall", arguments = {0, 0, 4400, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {3400, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 4400, 1000} },
	{ name = "wall", arguments = {1200, 1000, 2000, 400} },
	{ name = "wall", arguments = {1200, 1400, 900, 200} },
	{ name = "wall", arguments = {2300, 1400, 900, 200} },
	{ name = "wall", arguments = {1200, 1800, 900, 200} },
	{ name = "wall", arguments = {2300, 1800, 900, 200} },
	{ name = "wall", arguments = {1200, 2000, 2000, 400} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1100, 1800, 100, 100} },
	{ name = "wall", arguments = {2100, 1400, 100, 50} },
	{ name = "wall", arguments = {2100, 1450, 50, 50} },
	{ name = "wall", arguments = {2250, 1550, 50, 100} },
	{ name = "wall", arguments = {2100, 1750, 50, 100} },
	{ name = "wall", arguments = {2250, 1900, 50, 50} },
	{ name = "wall", arguments = {2200, 1950, 100, 50} },
	{ name = "wall", arguments = {3200, 1000, 100, 50} },
	{ name = "wall", arguments = {3350, 1250, 50, 100} },
	{ name = "wall", arguments = {3200, 1400, 100, 100} },
	{ name = "wall", arguments = {3300, 1800, 100, 100} },
	{ name = "wall", arguments = {3350, 2250, 50, 50} },
	{ name = "wall", arguments = {3300, 2300, 100, 100} },
	{ name = "spark", arguments = {1043, 1300} },
	{ name = "spark", arguments = {1100, 1300} },
	{ name = "spark", arguments = {1157, 1300} },
	{ name = "spark", arguments = {1522, 1700} },
	{ name = "spark", arguments = {1600, 1700} },
	{ name = "spark", arguments = {1679, 1700} },
	{ name = "spark", arguments = {2200, 1640} },
	{ name = "spark", arguments = {2170, 1670} },
	{ name = "spark", arguments = {2230, 1670} },
	{ name = "spark", arguments = {2140, 1700} },
	{ name = "spark", arguments = {2200, 1700} },
	{ name = "spark", arguments = {2260, 1700} },
	{ name = "spark", arguments = {2170, 1730} },
	{ name = "spark", arguments = {2230, 1730} },
	{ name = "spark", arguments = {2200, 1760} },
	{ name = "spark", arguments = {2722, 1700} },
	{ name = "spark", arguments = {2800, 1700} },
	{ name = "spark", arguments = {1879, 1700} },
	{ name = "spark", arguments = {3243, 2100} },
	{ name = "spark", arguments = {3300, 2100} },
	{ name = "spark", arguments = {3357, 2100} },
	{ name = "movecircledependent", arguments = { {
		{1200, 1000},
		{1200, 1600},
		{2000, 1600},
	}, 100, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1200, 1800},
		{2000, 1800},
	}, 100, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{3200, 1600},
		{2400, 1600},
	}, 100, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{3200, 2400},
		{3200, 1800},
		{2400, 1800},
	}, 100, 12, "pause", "pong"} },
	{ name = "text", arguments = {text[34][1][1], 2200, 1500, text[34][1][2]} },
	{ name = "text", arguments = {text[34][2][1], 2200, 1900, text[34][2][2]} },
	{ name = "finish", arguments = {3300, 1150} },
	{ name = "player", arguments = {1100, 2220} }
}

levels[35] = {
	{ name = "wall", arguments = {0, 0, 4000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2000} },
	{ name = "wall", arguments = {3000, 1000, 1000, 2000} },
	{ name = "wall", arguments = {0, 3000, 4000, 1000} },
	{ name = "wall", arguments = {1000, 1000, 1200, 500} },
	{ name = "wall", arguments = {1000, 1500, 300, 500} },
	{ name = "wall", arguments = {1900, 1600, 300, 500} },
	{ name = "wall", arguments = {1100, 2100, 1600, 300} },
	{ name = "wall", arguments = {1100, 2400, 650, 200} },
	{ name = "wall", arguments = {2800, 1000, 200, 1400} },
	{ name = "wall", arguments = {2050, 2500, 350, 200} },
	{ name = "wall", arguments = {1400, 2700, 1000, 300} },
	{ name = "wall", arguments = {2600, 2600, 200, 200} },
	{ name = "spark", arguments = {2065, 2450} },
	{ name = "spark", arguments = {2225, 2450} },
	{ name = "spark", arguments = {2385, 2450} },
	{ name = "spark", arguments = {1800, 1615} },
	{ name = "spark", arguments = {1800, 1800} },
	{ name = "spark", arguments = {1800, 1985} },
	{ name = "spark", arguments = {1400, 1615} },
	{ name = "spark", arguments = {1400, 1800} },
	{ name = "spark", arguments = {1400, 1985} },
	{ name = "spark", arguments = {1050, 2115} },
	{ name = "spark", arguments = {1050, 2233} },
	{ name = "spark", arguments = {1050, 2350} },
	{ name = "spark", arguments = {1050, 2468} },
	{ name = "spark", arguments = {1050, 2585} },
	{ name = "spark", arguments = {1415, 2650} },
	{ name = "spark", arguments = {1575, 2650} },
	{ name = "spark", arguments = {1735, 2650} },
	{ name = "circle", arguments = {3000, 2400, 100} },
	{ name = "circle", arguments = {2400, 3000, 100} },
	{ name = "circle", arguments = {1750, 2400, 75} },
	{ name = "circle", arguments = {2050, 2700, 75} },
	{ name = "movecircledependent", arguments = { {
		{2600, 2600},
		{2600, 2800},
		{2800, 2800},
		{2800, 2600},
	}, 50, 16, "stop"} },
	{ name = "movecircledependent", arguments = { {
		{2800, 2800},
		{2800, 2600},
		{2600, 2600},
		{2600, 2800},
	}, 50, 16, "stop"} },
	{ name = "movecircledependent", arguments = { {
		{2200, 1500},
		{2200, 2100},
		{2700, 2100},
	}, 100, 14, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2200, 1600},
		{2200, 1000},
		{2800, 1000},
	}, 100, 14, "pause", "pong"} },
	{ name = "sizecircledependent", arguments = {1200, 2800, 50, 175, 150, "pause"} },
	{ name = "sizecircledependent", arguments = {1600, 1800, 150, 250, 200, "pause"} },
	{ name = "text", arguments = {text[35][1][1], 2710, 1630, text[35][1][2]} },
	{ name = "text", arguments = {text[35][2][1], 2710, 1550, text[35][2][2]} },
	{ name = "text", arguments = {text[35][3][1], 2710, 1470, text[35][3][2]} },
	{ name = "text", arguments = {text[35][4][1], 2630, 1470, text[35][4][2]} },
	{ name = "text", arguments = {text[35][5][1], 2630, 1550, text[35][5][2]} },
	{ name = "text", arguments = {text[35][6][1], 2630, 1630, text[35][6][2]} },
	{ name = "text", arguments = {text[35][7][1], 2550, 1630, text[35][7][2]} },
	{ name = "text", arguments = {text[35][8][1], 2550, 1550, text[35][8][2]} },
	{ name = "text", arguments = {text[35][9][1], 2550, 1470, text[35][9][2]} },
	{ name = "finish", arguments = {1900, 2550} },
	{ name = "player", arguments = {2900, 2940} }
}

levels[36] = {
	{ name = "wall", arguments = {0, 0, 4200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {3200, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 4200, 1000} },
	{ name = "wall", arguments = {1000, 1000, 800, 600} },
	{ name = "wall", arguments = {2400, 1000, 800, 600} },
	{ name = "wall", arguments = {1000, 1600, 1050, 200} },
	{ name = "wall", arguments = {2150, 1600, 1060, 200} },
	{ name = "wall", arguments = {1600, 1800, 200, 250} },
	{ name = "wall", arguments = {2400, 1800, 200, 250} },
	{ name = "wall", arguments = {1600, 2150, 200, 250} },
	{ name = "wall", arguments = {2400, 2150, 200, 250} },
	{ name = "wall", arguments = {1000, 2400, 1050, 200} },
	{ name = "wall", arguments = {2150, 2400, 1050, 200} },
	{ name = "wall", arguments = {1000, 2600, 800, 600} },
	{ name = "wall", arguments = {2400, 2600, 800, 600} },
	{ name = "wall", arguments = {2000, 1200, 200, 200} },
	{ name = "wall", arguments = {2000, 2800, 200, 200} },
	{ name = "wall", arguments = {1800, 1800, 50, 50} },
	{ name = "wall", arguments = {2350, 1800, 50, 50} },
	{ name = "wall", arguments = {1800, 2300, 100, 100} },
	{ name = "wall", arguments = {2300, 2300, 100, 100} },
	{ name = "spark", arguments = {2763, 2100} },
	{ name = "spark", arguments = {3088, 2040} },
	{ name = "spark", arguments = {3088, 2100} },
	{ name = "spark", arguments = {3088, 2160} },
	{ name = "spark", arguments = {1438, 2100} },
	{ name = "spark", arguments = {1113, 2040} },
	{ name = "spark", arguments = {1113, 2100} },
	{ name = "spark", arguments = {1113, 2160} },
	{ name = "spark", arguments = {2100, 1700} },
	{ name = "spark", arguments = {2040, 1075} },
	{ name = "spark", arguments = {2100, 1075} },
	{ name = "spark", arguments = {2160, 1075} },
	{ name = "spark", arguments = {2100, 2500} },
	{ name = "spark", arguments = {2040, 3125} },
	{ name = "spark", arguments = {2100, 3125} },
	{ name = "spark", arguments = {2160, 3125} },
	{ name = "movecircledependent", arguments = { {
		{2600, 2050},
		{2600, 1800},
		{3200, 1800},
		{3200, 2400},
		{2600, 2400},
		{2600, 2150},
	}, 75, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2600, 2150},
		{2600, 2400},
		{3200, 2400},
		{3200, 1800},
		{2600, 1800},
		{2600, 2050},
	}, 75, 12, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1600, 2050},
		{1600, 1800},
		{1000, 1800},
		{1000, 2400},
		{1600, 2400},
		{1600, 2150},
	}, 75, 12, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1600, 2150},
		{1600, 2400},
		{1000, 2400},
		{1000, 1800},
		{1600, 1800},
		{1600, 2050},
	}, 75, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2050, 1600},
		{1800, 1600},
		{1800, 1000},
		{2400, 1000},
		{2400, 1600},
		{2150, 1600},
	}, 50, 12, "stop", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2200, 1400},
		{2200, 1200},
		{2000, 1200},
		{2000, 1400},
	}, 50, 12, "pause"} },
	{ name = "movecircledependent", arguments = { {
		{2050, 2600},
		{1800, 2600},
		{1800, 3200},
		{2400, 3200},
		{2400, 2600},
		{2150, 2600},
	}, 50, 12, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{2200, 2800},
		{2200, 3000},
		{2000, 3000},
		{2000, 2800},
	}, 50, 12, "stop"} },
	{ name = "sizecircledependent", arguments = {2925, 2100, 50, 150, 50, "pause"} },
	{ name = "sizecircledependent", arguments = {1275, 2100, 50, 150, 50, "pause"} },
	{ name = "text", arguments = {text[36][1][1], 2100, 1925, text[36][1][2]} },
	{ name = "text", arguments = {text[36][2][1], 1940, 1925, text[36][2][2]} },
	{ name = "text", arguments = {text[36][3][1], 2260, 1925, text[36][3][2]} },
	{ name = "finish", arguments = {2100, 2100} },
	{ name = "player", arguments = {2100, 2380} }
}

levels[37] = {
	{ name = "wall", arguments = {0, 0, 4400, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 3600} },
	{ name = "wall", arguments = {3400, 1000, 1000, 3600} },
	{ name = "wall", arguments = {0, 4600, 4400, 1000} },
	{ name = "wall", arguments = {2650, 1000, 150, 150} },
	{ name = "wall", arguments = {2800, 1150, 150, 150} },
	{ name = "wall", arguments = {2650, 1300, 150, 150} },
	{ name = "wall", arguments = {1000, 1600, 150, 150} },
	{ name = "wall", arguments = {1150, 1450, 150, 150} },
	{ name = "wall", arguments = {1300, 1600, 150, 150} },
	{ name = "wall", arguments = {1600, 1150, 150, 150} },
	{ name = "wall", arguments = {1450, 1300, 150, 150} },
	{ name = "wall", arguments = {1600, 1450, 150, 150} },
	{ name = "wall", arguments = {1600, 1600, 1350, 150} },
	{ name = "wall", arguments = {2950, 1450, 150, 150} },
	{ name = "wall", arguments = {3100, 1600, 150, 150} },
	{ name = "wall", arguments = {1600, 1750, 1200, 2100} },
	{ name = "wall", arguments = {1150, 3850, 150, 150} },
	{ name = "wall", arguments = {1300, 4000, 150, 150} },
	{ name = "wall", arguments = {1450, 3850, 1350, 150} },
	{ name = "wall", arguments = {2650, 4000, 150, 150} },
	{ name = "wall", arguments = {2800, 4150, 150, 150} },
	{ name = "wall", arguments = {2650, 4300, 150, 150} },
	{ name = "wall", arguments = {2950, 3850, 150, 150} },
	{ name = "wall", arguments = {3100, 4000, 150, 150} },
	{ name = "wall", arguments = {3250, 3850, 150, 150} },
	{ name = "wall", arguments = {1600, 4150, 150, 150} },
	{ name = "wall", arguments = {1450, 4300, 150, 150} },
	{ name = "wall", arguments = {1600, 4450, 150, 150} },
	{ name = "spark", arguments = {1300, 2740} },
	{ name = "spark", arguments = {1270, 2770} },
	{ name = "spark", arguments = {1330, 2770} },
	{ name = "spark", arguments = {1240, 2800} },
	{ name = "spark", arguments = {1300, 2800} },
	{ name = "spark", arguments = {1360, 2800} },
	{ name = "spark", arguments = {1270, 2830} },
	{ name = "spark", arguments = {1330, 2830} },
	{ name = "spark", arguments = {1300, 2860} },
	{ name = "spark", arguments = {3100, 2740} },
	{ name = "spark", arguments = {3070, 2770} },
	{ name = "spark", arguments = {3130, 2770} },
	{ name = "spark", arguments = {3040, 2800} },
	{ name = "spark", arguments = {3100, 2800} },
	{ name = "spark", arguments = {3160, 2800} },
	{ name = "spark", arguments = {3070, 2830} },
	{ name = "spark", arguments = {3130, 2830} },
	{ name = "spark", arguments = {3100, 2860} },
	{ name = "spark", arguments = {2200, 4150} },
	{ name = "spark", arguments = {2140, 4210} },
	{ name = "spark", arguments = {2200, 4210} },
	{ name = "spark", arguments = {2260, 4210} },
	{ name = "spark", arguments = {2080, 4270} },
	{ name = "spark", arguments = {2140, 4270} },
	{ name = "spark", arguments = {2200, 4270} },
	{ name = "spark", arguments = {2260, 4270} },
	{ name = "spark", arguments = {2320, 4270} },
	{ name = "spark", arguments = {2140, 4330} },
	{ name = "spark", arguments = {2200, 4330} },
	{ name = "spark", arguments = {2260, 4330} },
	{ name = "spark", arguments = {2200, 4390} },
	{ name = "sizecircle", arguments = {1750, 1150, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1600, 1300, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1300, 1450, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1000, 1600, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1600, 1600, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1300, 1750, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1150, 3850, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1150, 4000, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1450, 4150, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1750, 4150, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1450, 4450, 50, 85, 85} },
	{ name = "sizecircle", arguments = {1600, 4450, 50, 85, 85} },
	{ name = "sizecircle", arguments = {2650, 4450, 50, 85, 85} },
	{ name = "sizecircle", arguments = {2800, 4450, 50, 85, 85} },
	{ name = "sizecircle", arguments = {2950, 4300, 50, 85, 85} },
	{ name = "sizecircle", arguments = {3100, 4150, 50, 85, 85} },
	{ name = "sizecircle", arguments = {3250, 4000, 50, 85, 85} },
	{ name = "sizecircle", arguments = {2950, 3850, 50, 85, 85} },
	{ name = "sizecircle", arguments = {3400, 1600, 50, 85, 85} },
	{ name = "sizecircle", arguments = {3100, 1600, 50, 85, 85} },
	{ name = "sizecircle", arguments = {2950, 1600, 50, 85, 80} },
	{ name = "sizecircle", arguments = {2950, 1000, 50, 80, 80} },
	{ name = "sizecircle", arguments = {2800, 1300, 50, 80, 80} },
	{ name = "sizecircle", arguments = {2650, 1450, 50, 80, 80} },
	{ name = "sizecircledependent", arguments = {1300, 2238, 100, 150, 100, "stop"} },
	{ name = "sizecircledependent", arguments = {1300, 3363, 100, 150, 100, "pause"} },
	{ name = "sizecircledependent", arguments = {3100, 2238, 100, 150, 100, "stop"} },
	{ name = "sizecircledependent", arguments = {3100, 3363, 100, 150, 100, "pause"} },
	{ name = "text", arguments = {text[37][1][1], 1675, 1379, text[37][1][2]} },
	{ name = "text", arguments = {text[37][2][1], 1525, 1820, text[37][2][2]} },
	{ name = "text", arguments = {text[37][3][1], 1375, 3930, text[37][3][2]} },
	{ name = "text", arguments = {text[37][4][1], 1675, 4375, text[37][4][2]} },
	{ name = "text", arguments = {text[37][5][1], 2725, 1225, text[37][5][2]} },
	{ name = "text", arguments = {text[37][6][1], 3175, 1825, text[37][6][2]} },
	{ name = "text", arguments = {text[37][7][1], 3325, 4080, text[37][7][2]} },
	{ name = "text", arguments = {text[37][8][1], 2725, 4225, text[37][8][2]} },
	{ name = "finish", arguments = {2200, 1450} },
	{ name = "player", arguments = {2200, 1225} }
}

levels[38] = {
	{ name = "wall", arguments = {0, 0, 4000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 3000} },
	{ name = "wall", arguments = {3000, 1000, 1000, 3000} },
	{ name = "wall", arguments = {0, 4000, 4000, 1000} },
	{ name = "wall", arguments = {2000, 1000, 1000, 1900} },
	{ name = "wall", arguments = {1000, 1300, 400, 100} },
	{ name = "wall", arguments = {1600, 1300, 400, 100} },
	{ name = "wall", arguments = {1200, 1500, 600, 100} },
	{ name = "wall", arguments = {1000, 1900, 800, 100} },
	{ name = "wall", arguments = {1200, 2100, 800, 100} },
	{ name = "wall", arguments = {1000, 2300, 800, 100} },
	{ name = "wall", arguments = {1200, 2500, 800, 100} },
	{ name = "wall", arguments = {1000, 2700, 800, 100} },
	{ name = "wall", arguments = {1200, 2900, 1800, 100} },
	{ name = "wall", arguments = {1200, 3200, 200, 600} },
	{ name = "wall", arguments = {1600, 3200, 200, 600} },
	{ name = "wall", arguments = {2000, 3200, 200, 600} },
	{ name = "wall", arguments = {2400, 3200, 200, 600} },
	{ name = "spark", arguments = {2800, 3440} },
	{ name = "spark", arguments = {2800, 3500} },
	{ name = "spark", arguments = {2800, 3560} },
	{ name = "spark", arguments = {2300, 3440} },
	{ name = "spark", arguments = {2300, 3500} },
	{ name = "spark", arguments = {2300, 3560} },
	{ name = "spark", arguments = {1900, 3440} },
	{ name = "spark", arguments = {1900, 3500} },
	{ name = "spark", arguments = {1900, 3560} },
	{ name = "spark", arguments = {1500, 3440} },
	{ name = "spark", arguments = {1500, 3500} },
	{ name = "spark", arguments = {1500, 3560} },
	{ name = "spark", arguments = {1100, 3440} },
	{ name = "spark", arguments = {1100, 3500} },
	{ name = "spark", arguments = {1100, 3560} },
	{ name = "spark", arguments = {1900, 2780} },
	{ name = "spark", arguments = {1870, 2750} },
	{ name = "spark", arguments = {1930, 2750} },
	{ name = "spark", arguments = {1900, 2720} },
	{ name = "spark", arguments = {1100, 2580} },
	{ name = "spark", arguments = {1070, 2550} },
	{ name = "spark", arguments = {1130, 2550} },
	{ name = "spark", arguments = {1100, 2520} },
	{ name = "spark", arguments = {1900, 2380} },
	{ name = "spark", arguments = {1870, 2350} },
	{ name = "spark", arguments = {1930, 2350} },
	{ name = "spark", arguments = {1900, 2320} },
	{ name = "spark", arguments = {1100, 2180} },
	{ name = "spark", arguments = {1070, 2150} },
	{ name = "spark", arguments = {1130, 2150} },
	{ name = "spark", arguments = {1100, 2120} },
	{ name = "spark", arguments = {1900, 1980} },
	{ name = "spark", arguments = {1870, 1950} },
	{ name = "spark", arguments = {1930, 1950} },
	{ name = "spark", arguments = {1900, 1920} },
	{ name = "sizecircle", arguments = {2500, 3900, 100, 150, 100} },
	{ name = "sizecircle", arguments = {2100, 3100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1700, 3900, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1300, 3100, 100, 150, 100} },
	{ name = "movecircle", arguments = { {
		{1200, 2900},
		{2000, 2900},
		{2000, 2600},
		{1200, 2600}
	}, 25, 8, "pong"} },
	{ name = "movecircle", arguments = { {
		{1000, 2800},
		{1800, 2800},
		{1800, 2700},
		{1000, 2700}
	}, 25, 8, "pong"} },
	{ name = "movecircle", arguments = { {
		{1200, 2500},
		{2000, 2500},
		{2000, 2200},
		{1200, 2200}
	}, 25, 8, "pong"} },
	{ name = "movecircle", arguments = { {
		{1000, 2400},
		{1800, 2400},
		{1800, 2300},
		{1000, 2300}
	}, 25, 8, "pong"} },
	{ name = "movecircle", arguments = { {
		{1200, 2100},
		{2000, 2100},
	}, 25, 8, "pong"} },

	{ name = "movecircle", arguments = { {
		{1000, 2000},
		{1800, 2000},
		{1800, 1900},
		{1000, 1900}
	}, 15, 8, "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1200, 1600},
		{1800, 1600},
		{1800, 1500},
		{1200, 1500}
	}, 75, 16, "pause"} },
	{ name = "text", arguments = {text[38][1][1], 2500, 3100, text[38][1][2]} },
	{ name = "text", arguments = {text[38][2][1], 2100, 3900, text[38][2][2]} },
	{ name = "text", arguments = {text[38][3][1], 1700, 3100, text[38][3][2]} },
	{ name = "text", arguments = {text[38][4][1], 1300, 3900, text[38][4][2]} },
	{ name = "text", arguments = {text[38][5][1], 1620, 1750, text[38][5][2]} },
	{ name = "text", arguments = {text[38][6][1], 1500, 1750, text[38][6][2]} },
	{ name = "text", arguments = {text[38][7][1], 1380, 1750, text[38][7][2]} },
	{ name = "finish", arguments = {1500, 1150} },
	{ name = "player", arguments = {2825, 3900} }
}

levels[39] = {
	{ name = "wall", arguments = {0, 0, 3200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1940} },
	{ name = "wall", arguments = {2200, 1000, 1000, 1940} },
	{ name = "wall", arguments = {0, 2940, 3200, 1000} },
	{ name = "wall", arguments = {1000, 1000, 300, 400} },
	{ name = "wall", arguments = {1900, 1000, 300, 400} },
	{ name = "wall", arguments = {1000, 1400, 500, 200} },
	{ name = "wall", arguments = {1700, 1400, 500, 200} },
	{ name = "wall", arguments = {1400, 1600, 100, 400} },
	{ name = "wall", arguments = {1700, 1600, 100, 400} },
	{ name = "wall", arguments = {1000, 2000, 100, 740} },
	{ name = "wall", arguments = {1300, 2000, 200, 540} },
	{ name = "wall", arguments = {1700, 2000, 200, 540} },
	{ name = "wall", arguments = {2100, 2000, 100, 740} },
	{ name = "wall", arguments = {1000, 2740, 300, 200} },
	{ name = "wall", arguments = {1900, 2740, 300, 200} },
	{ name = "disswall", arguments = {1100, 2000, 200, 740} },
	{ name = "disswall", arguments = {1900, 2000, 200, 740} },
	{ name = "spark", arguments = {1400, 2616} },
	{ name = "spark", arguments = {1370, 2646} },
	{ name = "spark", arguments = {1430, 2646} },
	{ name = "spark", arguments = {1400, 2676} },
	{ name = "spark", arguments = {1800, 2616} },
	{ name = "spark", arguments = {1770, 2646} },
	{ name = "spark", arguments = {1830, 2646} },
	{ name = "spark", arguments = {1800, 2676} },
	{ name = "spark", arguments = {1600, 1770} },
	{ name = "spark", arguments = {1570, 1800} },
	{ name = "spark", arguments = {1630, 1800} },
	{ name = "spark", arguments = {1600, 1830} },
	{ name = "circle", arguments = {1300, 2940, 150} },
	{ name = "circle", arguments = {1900, 2940, 150} },
	{ name = "circle", arguments = {1300, 1400, 150} },
	{ name = "circle", arguments = {1900, 1400, 150} },
	{ name = "circle", arguments = {1300, 1000, 150} },
	{ name = "circle", arguments = {1900, 1000, 150} },
	{ name = "text", arguments = {text[39][1][1], 1195, 1800, text[39][1][2]} },
	{ name = "text", arguments = {text[39][2][1], 2005, 1800, text[39][2][2]} },
	{ name = "finish", arguments = {1600, 1200} },
	{ name = "player", arguments = {1600, 2860} }
}

levels[40] = {
	{ name = "wall", arguments = {0, 0, 5800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 3800} },
	{ name = "wall", arguments = {4800, 1000, 1000, 3800} },
	{ name = "wall", arguments = {0, 4800, 5800, 1000} },
	{ name = "wall", arguments = {1300, 1000, 200, 500} },
	{ name = "wall", arguments = {1800, 1000, 200, 300} },
	{ name = "wall", arguments = {2300, 1000, 200, 500} },
	{ name = "wall", arguments = {2800, 1000, 200, 300} },
	{ name = "wall", arguments = {3300, 1000, 200, 500} },
	{ name = "wall", arguments = {3800, 1000, 200, 300} },
	{ name = "wall", arguments = {4300, 1000, 200, 500} },
	{ name = "wall", arguments = {1000, 1300, 200, 200} },
	{ name = "wall", arguments = {1600, 1300, 600, 200} },
	{ name = "wall", arguments = {2600, 1300, 600, 200} },
	{ name = "wall", arguments = {3600, 1300, 600, 200} },
	{ name = "wall", arguments = {4600, 1300, 200, 200} },
	{ name = "wall", arguments = {1000, 1500, 150, 500} },
	{ name = "wall", arguments = {1650, 1500, 500, 700} },
	{ name = "wall", arguments = {2650, 1500, 500, 400} },
	{ name = "wall", arguments = {3650, 1500, 500, 700} },
	{ name = "wall", arguments = {4650, 1500, 150, 500} },
	{ name = "wall", arguments = {1000, 2000, 550, 700} },
	{ name = "wall", arguments = {2250, 2000, 1300, 900} },
	{ name = "wall", arguments = {4250, 2000, 550, 700} },
	{ name = "wall", arguments = {1000, 2700, 1150, 200} },
	{ name = "wall", arguments = {3650, 2700, 1150, 200} },
	{ name = "wall", arguments = {1000, 2900, 300, 300} },
	{ name = "wall", arguments = {1950, 2900, 200, 100} },
	{ name = "wall", arguments = {2650, 2900, 500, 100} },
	{ name = "wall", arguments = {3650, 2900, 200, 100} },
	{ name = "wall", arguments = {4500, 2900, 300, 300} },
	{ name = "wall", arguments = {1950, 3100, 200, 600} },
	{ name = "wall", arguments = {2650, 3100, 500, 600} },
	{ name = "wall", arguments = {3650, 3100, 200, 600} },
	{ name = "wall", arguments = {1000, 3200, 950, 400} },
	{ name = "wall", arguments = {3850, 3200, 950, 400} },
	{ name = "wall", arguments = {1000, 3600, 300, 300} },
	{ name = "wall", arguments = {4500, 3600, 300, 300} },
	{ name = "wall", arguments = {1950, 3800, 200, 100} },
	{ name = "wall", arguments = {2650, 3800, 500, 500} },
	{ name = "wall", arguments = {3650, 3800, 200, 100} },
	{ name = "wall", arguments = {1000, 3900, 1550, 900} },
	{ name = "wall", arguments = {3250, 3900, 1550, 900} },
	{ name = "wall", arguments = {2550, 4700, 100, 100} },
	{ name = "wall", arguments = {3150, 4700, 100, 100} },
	{ name = "disswall", arguments = {2650, 1900, 500, 100} },
	{ name = "spark", arguments = {1540, 3750} },
	{ name = "spark", arguments = {1600, 3750} },
	{ name = "spark", arguments = {1660, 3750} },
	{ name = "spark", arguments = {4140, 3750} },
	{ name = "spark", arguments = {4200, 3750} },
	{ name = "spark", arguments = {4260, 3750} },
	{ name = "spark", arguments = {1540, 3050} },
	{ name = "spark", arguments = {1600, 3050} },
	{ name = "spark", arguments = {1660, 3050} },
	{ name = "spark", arguments = {4140, 3050} },
	{ name = "spark", arguments = {4200, 3050} },
	{ name = "spark", arguments = {4260, 3050} },
	{ name = "spark", arguments = {2335, 1950} },
	{ name = "spark", arguments = {2400, 1950} },
	{ name = "spark", arguments = {2465, 1950} },
	{ name = "spark", arguments = {3335, 1950} },
	{ name = "spark", arguments = {3400, 1950} },
	{ name = "spark", arguments = {3465, 1950} },
	{ name = "spark", arguments = {2335, 1600} },
	{ name = "spark", arguments = {2400, 1600} },
	{ name = "spark", arguments = {2465, 1600} },
	{ name = "spark", arguments = {3335, 1600} },
	{ name = "spark", arguments = {3400, 1600} },
	{ name = "spark", arguments = {3465, 1600} },
	{ name = "spark", arguments = {1150, 1180} },
	{ name = "spark", arguments = {1650, 1180} },
	{ name = "spark", arguments = {2150, 1180} },
	{ name = "spark", arguments = {2650, 1180} },
	{ name = "spark", arguments = {3650, 1180} },
	{ name = "spark", arguments = {4150, 1180} },
	{ name = "spark", arguments = {4650, 1180} },
	{ name = "spark", arguments = {1150, 1120} },
	{ name = "spark", arguments = {1650, 1120} },
	{ name = "spark", arguments = {2150, 1120} },
	{ name = "spark", arguments = {2650, 1120} },
	{ name = "spark", arguments = {3650, 1120} },
	{ name = "spark", arguments = {4150, 1120} },
	{ name = "spark", arguments = {4650, 1120} },
	{ name = "spark", arguments = {1120, 1150} },
	{ name = "spark", arguments = {1180, 1150} },
	{ name = "spark", arguments = {1620, 1150} },
	{ name = "spark", arguments = {1680, 1150} },
	{ name = "spark", arguments = {2120, 1150} },
	{ name = "spark", arguments = {2180, 1150} },
	{ name = "spark", arguments = {2620, 1150} },
	{ name = "spark", arguments = {2680, 1150} },
	{ name = "spark", arguments = {3620, 1150} },
	{ name = "spark", arguments = {3680, 1150} },
	{ name = "spark", arguments = {4120, 1150} },
	{ name = "spark", arguments = {4180, 1150} },
	{ name = "spark", arguments = {4620, 1150} },
	{ name = "spark", arguments = {4680, 1150} },
	{ name = "circle", arguments = {2900, 4300, 150} },
	{ name = "circle", arguments = {2650, 3400, 150} },
	{ name = "circle", arguments = {3150, 3400, 150} },
	{ name = "circle", arguments = {1400, 1750, 100} },
	{ name = "circle", arguments = {2400, 1750, 100} },
	{ name = "circle", arguments = {3400, 1750, 100} },
	{ name = "circle", arguments = {4400, 1750, 100} },
	{ name = "movecircledependent", arguments = { {
		{1950, 3800},
		{1950, 3900},
		{1300, 3900},
		{1300, 3600},
		{1950, 3600},
		{1950, 3700}
	}, 75, 14, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{3850, 3800},
		{3850, 3900},
		{4500, 3900},
		{4500, 3600},
		{3850, 3600},
		{3850, 3700},
	}, 75, 14, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{1950, 3100},
		{1950, 3200},
		{1300, 3200},
		{1300, 2900},
		{1950, 2900},
		{1950, 3000}
	}, 75, 14, "pause", "pong"} },
	{ name = "movecircledependent", arguments = { {
		{3850, 3100},
		{3850, 3200},
		{4500, 3200},
		{4500, 2900},
		{3850, 2900},
		{3850, 3000},
	}, 75, 14, "pause", "pong"} },
	{ name = "sizecircledependent", arguments = {1900, 2450, 100, 250, 200, "pause"} },
	{ name = "sizecircledependent", arguments = {3900, 2450, 100, 250, 200, "pause"} },
	{ name = "text", arguments = {text[40][1][1], 2900, 3750, text[40][1][2]} },
	{ name = "text", arguments = {text[40][2][1], 2400, 3680, text[40][2][2]} },
	{ name = "text", arguments = {text[40][3][1], 2400, 3540, text[40][3][2]} },
	{ name = "text", arguments = {text[40][4][1], 2400, 3260, text[40][4][2]} },
	{ name = "text", arguments = {text[40][5][1], 2400, 3120, text[40][5][2]} },
	{ name = "text", arguments = {text[40][6][1], 3400, 3680, text[40][6][2]} },
	{ name = "text", arguments = {text[40][7][1], 3400, 3540, text[40][7][2]} },
	{ name = "text", arguments = {text[40][8][1], 3400, 3260, text[40][8][2]} },
	{ name = "text", arguments = {text[40][9][1], 3400, 3120, text[40][9][2]} },
	{ name = "text", arguments = {text[40][10][1], 2900, 3050, text[40][10][2]} },
	{ name = "text", arguments = {text[40][11][1], 1400, 1560, text[40][11][2]} },
	{ name = "text", arguments = {text[40][12][1], 4400, 1560, text[40][12][2]} },
	{ name = "finish", arguments = {3150, 1150} },
	{ name = "player", arguments = {2900, 4720} }
}
